## FoPropertyBorder

FoPropertyBorder —

## Synopsis

    struct      FoPropertyBorder;
    struct      FoPropertyBorderClass;
    enum        FoEnumBorderWidth;
    GType       fo_enum_border_width_get_type   (void);
    #define     FO_TYPE_ENUM_BORDER_WIDTH
    enum        FoEnumBorderStyle;
    GType       fo_enum_border_style_get_type   (void);
    #define     FO_TYPE_ENUM_BORDER_STYLE
    FoProperty* fo_property_border_new          (void);
    void        fo_property_border_resolve      (FoContext *current_context,
                                                 FoContext *parent_context);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoProperty
                   +----FoPropertyBorder

## Description

## Details

### struct FoPropertyBorder

    struct FoPropertyBorder;

### struct FoPropertyBorderClass

    struct FoPropertyBorderClass;

### enum FoEnumBorderWidth

    typedef enum {
      FO_ENUM_BORDER_WIDTH_THIN,
      FO_ENUM_BORDER_WIDTH_MEDIUM,
      FO_ENUM_BORDER_WIDTH_THICK
    } FoEnumBorderWidth;

### fo_enum_border_width_get_type ()

    GType       fo_enum_border_width_get_type   (void);

Returns : |

### FO_TYPE_ENUM_BORDER_WIDTH

    #define     FO_TYPE_ENUM_BORDER_WIDTH

### enum FoEnumBorderStyle

    typedef enum {
      FO_ENUM_BORDER_STYLE_NONE,
      FO_ENUM_BORDER_STYLE_HIDDEN,
      FO_ENUM_BORDER_STYLE_DOTTED,
      FO_ENUM_BORDER_STYLE_DASHED,
      FO_ENUM_BORDER_STYLE_SOLID,
      FO_ENUM_BORDER_STYLE_DOUBLE,
      FO_ENUM_BORDER_STYLE_GROOVE,
      FO_ENUM_BORDER_STYLE_RIDGE,
      FO_ENUM_BORDER_STYLE_INSET,
      FO_ENUM_BORDER_STYLE_OUTSET
    } FoEnumBorderStyle;

### fo_enum_border_style_get_type ()

    GType       fo_enum_border_style_get_type   (void);

Returns : |

### FO_TYPE_ENUM_BORDER_STYLE

    #define     FO_TYPE_ENUM_BORDER_STYLE

### fo_property_border_new ()

    FoProperty* fo_property_border_new          (void);

Creates a new FoPropertyBorder initialized to default value.

Returns : | the new FoPropertyBorder.

### fo_property_border_resolve ()

    void        fo_property_border_resolve      (FoContext *current_context,
                                                 FoContext *parent_context);

Resolve the border properties of `current_context`.

`parent_context` is needed to get the 'color' property value if it is NULL in `current_context`.

`current_context` : | FoContext of the current FoFo.
`parent_context` : | FoContext of the parent FoFo of the current FoFo.